<?php
// $Id$
/**
 * @file
 * Fonctions de ligne de commande pour FGCF
 *
 * - importation de prestataires
 * - importation de fiches de formation
 *
 * Copyright 2010 Ouest Systemes Informatiques (OSInet)
 *
 * Licensed under the General Public License, version 2 or later
 */


/**
 * Implements hook_drush_command().
 *
 * @return array
 */
function fgcf_drush_command() {
  $items['fgcf-catalog'] = array(
    // a short description of your command
    'description' => "Génère un catalogue de formations au format OpenDocument.",
    'options' => array(
      'dest' => "Le nom du fichier à générer. Le chemin est relatif au répertoire d'installation Drupal.\nPar défaut un fichier catalogue.odt est généré dans le répertoire d'installation Drupal.",
    ),
    'examples' => array(
      'drush fgcf-catalog' => 'Génère un fichier catalogue.otf dans le répertoire Drupal, à partir du template template.odt présent dans le répertoire courant',
      'drush fgcf-catalog --dest=../custom.otf' => 'Génère un fichier custom.otf dans le dossier parent du répertoire Drupal, à partir du template template.odt présent dans le répertoire courant',
    ),
    'aliases' => array('fgcfc'),
  );

//  $items['fgcf-import-prestataires'] = array(
//    // a short description of your command
//    'description' => "Importe des fiches de prestataires depuis un fichier",
//    'aliases' => array('fgcf-p'),
//  );
//
//  $items['fgcf-import-formations'] = array(
//    // a short description of your command
//    'description' => "Importe des fiches de formation depuis un fichier",
//    'aliases' => array('fgcf-f'),
//  );
  return $items;
}

/**
 * Implements hook_drush_help().
 *
 * @param string $section
 */
function fgcf_drush_help($section) {
  $help = array(
    'fgcf-catalog'   => dt('Génère un catalogue de formations à partir du fichier catalogue_template.odt présent dans le dossier du module fgcf.'),
//    'fgcf-import-prestataires' => dt('Importe toutes les fiches de prestataires trouvées dans le fichier passé en argument'),
//    'fgcf-import-formations'   => dt('Importe toutes les fiches de formations trouvées dans le fichier passé en argument'),
  );

  $key = substr($section, strlen('drush:')); // drupal_substr() not available
  return array_key_exists($key, $help) ? $help[$key] : NULL;
}

/**
 * Command callback for fgcf-catalog.
 *
 * @param string $filename
 */
function drush_fgcf_catalog() {
  // @todo : à paramétrer ?
  $template = dirname(__FILE__) ."/catalogue_template.odt";
  $dest = drush_get_option('dest');
  if (empty($dest)) {
    $dest = 'catalogue.odt';
  }

  module_load_include('inc', 'fgcf', 'fgcf.odt');
  $odf = fgcf_odt_export_formations($template);
  $odf->saveToDisk($dest);
}